=== debian/changelog ===
ladish (0.3-7) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Mon, 30 May 2011 18:00:51 +0200

ladish (0.3-6) experimental; urgency=low

  * Use x-terminal-emulator rather than xterm (Closes: #626664); thanks
    to Dan Muresan for the patch.

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 May 2011 08:59:25 +0200

ladish (0.3-5) experimental; urgency=low

  * Fix in-terminal commands execution (Closes: #626481).
    - Ladish tries to start commands as $terminal -e "$command $argument"
      but x-terminal-emulator generally expects an executable + arguments,
      not a command string. Plus, this tells the terminal emulator which
      shell to use, rather than letting it decide on its own.
      Patch provided by Dan Muresan.

 -- Alessio Treglia <alessio@debian.org>  Thu, 12 May 2011 13:05:39 +0200

ladish (0.3-4) experimental; urgency=low

  * Move laditools from ladish's Depends field to gladish's Recommends field.
  * Add uuid-dev,libdbus-1-dev to liblash-compat-dev's Build-Depends field.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sat, 23 Apr 2011 10:13:02 +0200

ladish (0.3-3) experimental; urgency=low

  * Enable liblash compatibility library to support those applications
    which needs lash to build. Note that it is *not* functional though
    and it's in place in order to ease the lash -> ladish transition.
    - Add liblash-compat-{1,dev} runtime packages.
      + Set liblash-compat-1's Breaks to lashd,python-lash.
      + Set liblash-compat-dev's Breaks,Replaces to liblash-dev.
  * debian/patches/1002-save_as_dialog_avoid_multiplied_emits.patch:
    - Don't add signal connection for path button each time it is
      opened to avoid multiplied emits; taken from upstream's VCS.

 -- Alessio Treglia <alessio@debian.org>  Thu, 21 Apr 2011 14:24:03 +0200

ladish (0.3-2) experimental; urgency=low

  [ Jonas Smedegaard ]
  * Fix rename a license shortname in copyright file to
    BSD-3-clause~author: it is a derived licensing.

  [ Alessio Treglia ]
  * debian/patches/0001-disable_stacktrace.patch
    - Don't print the stacktrace on segfaults; this fixes FTBFS on
      alpha, armel, ia64, kfreebsd-*, powerpc, sh4.
  * debian/copyright: Update to DEP-5 rev.174.

 -- Alessio Treglia <alessio@debian.org>  Tue, 19 Apr 2011 01:18:14 +0200

ladish (0.3-1) experimental; urgency=low

  * Initial release. (Closes: #611042)

 -- Alessio Treglia <alessio@debian.org>  Wed, 23 Mar 2011 12:37:25 +0100
