=== debian/rules ===
#!/usr/bin/make -f

WAF = ./waf

%:
	dh $@ --with python2

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr \
		--enable-liblash \
		--debug

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp
	cd $(CURDIR)/debian/tmp/usr/share/ladish && \
		rm AUTHORS COPYING NEWS README

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip -pladish --dbg-package=ladish-dbg
	dh_strip --remaining-packages
