=== debian/watch ===
version=3

http://ladish.org/download/ ladish-([\d.]+)\.tar\.bz2
