## ladish 1

=== debian/changelog ===
ladish (1-1) unstable; urgency=low

  * First upstream stable release -> yeah!
  * Drop unnecessary patches:
    - 0001-disable_stacktrace.patch
    - 0002-desktop_file.patch
    - 0003-save_as_dialog_avoid_multiplied_emits.patch
    - 0004-dont_activate_disabled_widgets.patch
    - 1004-in_terminal_execution.patch
    - 1005-kfreebsd.patch
    - 1006-gladish_dependencies.patch
  * Refresh 2001-xterminal_emulator_instead_of_xterm.patch.
  * Drop lash compatibility library, it's not needed anymore since we
    don't want applications use something deprecated.
  * mv debian/REDME.source to debian/README.source.
  * Remove --enable-liblash from configure's command line options.

 -- Alessio Treglia <alessio@debian.org>  Tue, 03 Jan 2012 02:36:41 +0100

ladish (0.3-10) unstable; urgency=low

  * Symlink libalsapid.so into /usr/lib (Closes: #641452).

 -- Alessio Treglia <alessio@debian.org>  Wed, 14 Sep 2011 08:17:49 +0200

ladish (0.3-9) unstable; urgency=medium

  * Update kfreebsd's patch (Closes: #639490).
  * Prevent SIGSEGV when launching gladish (LP: #835166).

 -- Alessio Treglia <alessio@debian.org>  Wed, 31 Aug 2011 09:28:57 +0200

ladish (0.3-8) unstable; urgency=low

  * Include <linux/limits.h> only on Linux architectures.
  * Add Recommends: a2jmidid.
  * Append gtk+-2.0 to gladish's dependencies list to
    prevent FTBFS (Closes: #639054 and LP: #831248).

 -- Alessio Treglia <alessio@debian.org>  Sat, 27 Aug 2011 11:30:36 +0200
