=== debian/control ===
Source: ladish
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 intltool,
 libasound2-dev,
 libboost-dev,
 libjack-jackd2-dev (>= 1.9.6~dfsg.1-5),
 libdbus-1-dev,
 libdbus-glib-1-dev,
 libexpat1-dev,
 libflowcanvas-dev (>> 0.6.4),
 libglade2-dev,
 libgnomecanvasmm-2.6-dev,
 libgtk2.0-dev,
 python-all (>= 2.6.6-3),
 uuid-dev
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://ladish.org/
Vcs-Git: git://git.debian.org/git/pkg-multimedia/ladish.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ladish.git

Package: ladish
Architecture: any
Depends: ${shlibs:Depends},
 jackd,
 python-dbus,
 ${python:Depends},
 ${misc:Depends}
Suggests: gladish
Recommends: a2jmidid
Description: session management system for JACK applications
 LADI Session Handler or simply ladish is a session management
 system for JACK applications on GNU/Linux. Its aim is to allow
 you to have many different audio programs running at once, to
 save their setup, close them down and then easily reload the
 setup at some other time. ladish doesn't deal with any kind of
 audio or MIDI data itself; it just runs programs, deals with
 saving/loading (arbitrary) data and connects JACK ports
 together. It can also be used to move entire sessions between
 computers, or post sessions on the Internet for download.

Package: gladish
Architecture: any
Depends: ${shlibs:Depends},
 ladish (= ${binary:Version}),
 ${misc:Depends}
Recommends: laditools
Description: graphical interface for LADI Session Handler
 LADI Session Handler or simply ladish is a session management
 system for JACK applications on GNU/Linux. Its aim is to allow
 you to have many different audio programs running at once, to
 save their setup, close them down and then easily reload the
 setup at some other time.
 .
 This package provides a graphical interface to ladish.

Package: ladish-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ladish (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for ladish
 LADI Session Handler or simply ladish is a session management
 system for JACK applications on GNU/Linux. Its aim is to allow
 you to have many different audio programs running at once, to
 save their setup, close them down and then easily reload the
 setup at some other time.
 .
 This package contains the debugging symbols for ladish.
