=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 
 override_dh_auto_configure:
 	$(WAF) configure --prefix=/usr \
-		--enable-liblash \
 		--debug
 
 override_dh_auto_build:
