## ladish 1%2Bdfsg0

=== debian/changelog ===
ladish (1+dfsg0-5ubuntu3) xenial; urgency=medium

  * No change rebuild with the new gnomecanvasmm soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Nov 2015 10:58:01 +0100

ladish (1+dfsg0-5ubuntu2) wily; urgency=medium

  * No-change rebuild against libglibmm-2.4-1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Aug 2015 21:39:03 +0000

ladish (1+dfsg0-5ubuntu1) vivid; urgency=medium

  * debian/patches/arm64-sigsegv.patch: Add arm64 to list of architectures
    without stacktrace to fix FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 14 Dec 2014 22:00:35 -0500

ladish (1+dfsg0-5) unstable; urgency=medium

  * Add patch to avoid gladish crash when DBus connection has failed.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 17 Sep 2014 09:12:44 +0100

ladish (1+dfsg0-4) unstable; urgency=low

  * Team upload.
  * debian/patches/eglibc-2.17.patch: Fix FTBFS with eglibc 2.17. (Closes:
    #701440)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Jun 2013 01:36:15 +0200

ladish (1+dfsg0-3) unstable; urgency=low

  * Use ladi-control-center by default instead of the obsolete
    ladiconf (Closes: #671360).
  * Update debian/copyright to machine readable format.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 May 2012 19:45:19 +0200

ladish (1+dfsg0-2) unstable; urgency=low

  * Revert "Drop lash compatibility library, it's not needed anymore."
    After a brief discussion with upstream's author, I've decided to
    reintroduce the dummy lash support to provide the L2 level of
    interaction until libladish is released.
  * Properly bump the SONAME due to the ABI breakage introduced by
    the latest ladish release.
  * Update debian/copyright.
  * Fix small misspellings.

 -- Alessio Treglia <alessio@debian.org>  Tue, 31 Jan 2012 14:05:05 +0100

ladish (1+dfsg0-1) unstable; urgency=low

  * Add unpack_waf.sh shell script to get rid of the 'waf' blob file.
  * Repack upstream tarball to get rid of the waf blob (Closes: #654481).
  * debian/watch: Mangle Debian versioning.
  * Call 'waf clean' instead of 'distclean', skip errors, prune *.pyc files.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 Jan 2012 19:33:51 +0100
