=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: ladish
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
+Build-Depends:
+ debhelper (>= 7.0.50~),
  intltool,
  libasound2-dev,
  libboost-dev,
- libjack-jackd2-dev (>= 1.9.6~dfsg.1-5),
  libdbus-1-dev,
  libdbus-glib-1-dev,
  libexpat1-dev,
@@ -15,23 +17,27 @@
  libglade2-dev,
  libgnomecanvasmm-2.6-dev,
  libgtk2.0-dev,
+ libjack-jackd2-dev (>= 1.9.6~dfsg.1-5),
  python-all (>= 2.6.6-3),
  uuid-dev
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.2
+Standards-Version: 3.9.5
 Homepage: http://ladish.org/
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/ladish.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ladish.git
 
 Package: ladish
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
  jackd,
  python-dbus,
+ ${misc:Depends},
  ${python:Depends},
- ${misc:Depends}
-Suggests: gladish
-Recommends: a2jmidid
+ ${shlibs:Depends}
+Suggests:
+ gladish
+Recommends:
+ a2jmidid
 Description: session management system for JACK applications
  LADI Session Handler or simply ladish is a session management
  system for JACK applications on GNU/Linux. Its aim is to allow
@@ -45,10 +51,12 @@
 
 Package: gladish
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends:
  ladish (= ${binary:Version}),
- ${misc:Depends}
-Recommends: laditools
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ laditools
 Description: graphical interface for LADI Session Handler
  LADI Session Handler or simply ladish is a session management
  system for JACK applications on GNU/Linux. Its aim is to allow
@@ -58,11 +66,53 @@
  .
  This package provides a graphical interface to ladish.
 
+Package: liblash-compat-1debian0
+Section: libs
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
+Breaks:
+ lashd,
+ python-lash
+Description: LASH compatibility library
+ liblash-compat is a library and associated header files, that aims
+ to provide lash environment for apps that can use it. Currently it
+ does not interact with ladish daemon yet.
+ .
+ This package provides the shared library.
+
+Package: liblash-compat-dev
+Section: libdevel
+Architecture: all
+Depends:
+ libdbus-1-dev,
+ liblash-compat-1debian0 (<< ${source:Upstream-Version}+1~),
+ liblash-compat-1debian0 (>= ${source:Version}),
+ uuid-dev,
+ ${misc:Depends}
+Breaks:
+ liblash-dev
+Replaces:
+ liblash-dev
+Description: LASH compatibility library (development files)
+ liblash-compat is a library and associated header files, that aims
+ to provide lash environment for apps that can use it. Currently it
+ does not interact with ladish daemon yet. In its current state, it
+ enables building lash-aware apps but they will fail to contact the
+ lash server.
+ .
+ In its current state, it enables building lash-aware apps but they
+ will fail to contact the lash server.
+ .
+ This package provides the development files.
+
 Package: ladish-dbg
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ladish (= ${binary:Version}),
+Depends:
+ ladish (= ${binary:Version}),
  ${misc:Depends}
 Description: Debugging symbols for ladish
  LADI Session Handler or simply ladish is a session management
