## ladish 1+dfsg0

=== wscript ===
--- 
+++ 
@@ -12,7 +12,7 @@
 parallel_debug = False
 
 APPNAME='ladish'
-VERSION='0.3'
+VERSION='1'
 DBUS_NAME_BASE = 'org.ladish'
 RELEASE = True
 
@@ -108,6 +108,12 @@
         args = '--cflags --libs')
 
     conf.check_cfg(
+        package = 'alsa',
+        mandatory = True,
+        errmsg = "not installed, see http://www.alsa-project.org/",
+        args = '--cflags')
+
+    conf.check_cfg(
         package = 'dbus-1',
         atleast_version = '1.0.0',
         mandatory = True,
@@ -178,7 +184,9 @@
     if build_gui:
         # We need the boost headers package (e.g. libboost-dev)
         # shared_ptr.hpp and weak_ptr.hpp
-        build_gui = conf.check_boost(errmsg="not found, see http://boost.org/")
+        build_gui = conf.check_boost(
+            mandatory = False,
+            errmsg="not found, see http://boost.org/")
 
     conf.env['BUILD_GLADISH'] = build_gui
 
@@ -190,6 +198,8 @@
     if conf.env['BUILD_PYLASH']:
         conf.check_python_version()
         conf.check_python_headers()
+
+    add_cflag(conf, '-fvisibility=hidden')
 
     conf.env['BUILD_WERROR'] = not RELEASE
     add_cflag(conf, '-Wall')
@@ -299,15 +309,3 @@
         if bld.cmd_and_log("LANG= git diff-index --name-only HEAD", quiet=waflib.Context.BOTH).splitlines():
             self.ver += "-dirty"
 
-        pprint('BLUE', "git revision " + self.ver)
-    else:
-        self.ver = "unknown"
-
-    fi = open(header, 'w')
-    fi.write('#define GIT_VERSION "%s"\n' % self.ver)
-    fi.close()
-
-def build(bld):
-    if not bld.env['DATA_DIR']:
-        raise "DATA_DIR is emtpy"
-
