=== debian/changelog ===
ladish (1+dfsg0-6) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field

  [ Sebastian Ramacher ]
  * debian/:
    - Remove debug package
    - Bump debhelper compat to 12
    - Update Python 2 usage
  * debian/control:
    - Bump Standards-Version
    - Remove obsolete Breaks+Replaces
  * debian/copyright: Remove obsolete paragraphs

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Dec 2019 11:17:55 +0100

ladish (1+dfsg0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add arm64, hppa and sparc64 to the architectures where stacktraces
    are disabled, thanks to Helge Deller. (Closes: #762016)

 -- Adrian Bunk <bunk@debian.org>  Mon, 20 Mar 2017 21:36:13 +0200
