=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: ladish
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper-compat (= 12),
+ dh-sequence-python2,
+ dh-python,
  intltool,
  libasound2-dev,
  libboost-dev,
@@ -18,13 +19,12 @@
  libgnomecanvasmm-2.6-dev,
  libgtk2.0-dev,
  libjack-jackd2-dev (>= 1.9.6~dfsg.1-5),
- python-all (>= 2.6.6-3),
+ python2 (>= 2.6.6-3),
  uuid-dev
-X-Python-Version: >= 2.6
-Standards-Version: 3.9.5
+Standards-Version: 4.4.1
 Homepage: http://ladish.org/
-Vcs-Git: git://git.debian.org/git/pkg-multimedia/ladish.git
-Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/ladish.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/ladish.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/ladish
 
 Package: ladish
 Architecture: any
@@ -72,9 +72,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks:
- lashd,
- python-lash
 Description: LASH compatibility library
  liblash-compat is a library and associated header files, that aims
  to provide lash environment for apps that can use it. Currently it
@@ -91,10 +88,6 @@
  liblash-compat-1debian0 (>= ${source:Version}),
  uuid-dev,
  ${misc:Depends}
-Breaks:
- liblash-dev
-Replaces:
- liblash-dev
 Description: LASH compatibility library (development files)
  liblash-compat is a library and associated header files, that aims
  to provide lash environment for apps that can use it. Currently it
@@ -106,19 +99,3 @@
  will fail to contact the lash server.
  .
  This package provides the development files.
-
-Package: ladish-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends:
- ladish (= ${binary:Version}),
- ${misc:Depends}
-Description: Debugging symbols for ladish
- LADI Session Handler or simply ladish is a session management
- system for JACK applications on GNU/Linux. Its aim is to allow
- you to have many different audio programs running at once, to
- save their setup, close them down and then easily reload the
- setup at some other time.
- .
- This package contains the debugging symbols for ladish.
