=== debian/rules ===
#!/usr/bin/make -f

WAF = python2 ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr \
		--enable-liblash \
		--debug

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find waflib -name "*.pyc" -delete
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp
	cd $(CURDIR)/debian/tmp/usr/share/ladish && \
		rm AUTHORS COPYING NEWS README

override_dh_installchangelogs:
	dh_installchangelogs NEWS
